## org.apache.poi.ddf
Class EscherOptRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.AbstractEscherOptRecord
              org.apache.poi.ddf.EscherOptRecord

    public class EscherOptRecord

extends AbstractEscherOptRecord

The opt record is used to store property values for a shape. It is the key to determining the attributes of a shape. Properties can be of two types: simple or complex. Simple types are fixed length. Complex properties are variable length.

Author:
  Glen Stampoultzis

Field Summary
`static java.lang.String` `RECORD_DESCRIPTION`
`static short` `RECORD_ID`

Fields inherited from class org.apache.poi.ddf.AbstractEscherOptRecord
`properties`

Constructor Summary
`EscherOptRecord()`

Method Summary
`short` `getInstance()` Returns the instance part of the option record.
`short` `getOptions()` Automatically recalculate the correct option
`java.lang.String` `getRecordName()` Subclasses should return the short name for this escher record.
`short` `getVersion()` Returns the version part of the option record.
`void` `setVersion(short value)` Sets the version part of record

Methods inherited from class org.apache.poi.ddf.AbstractEscherOptRecord
`addEscherProperty, fillFields, getEscherProperties, getEscherProperty, getRecordSize, lookup, serialize, sortProperties, toString`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getRecordId, isContainerRecord, readHeader, readInstance, serialize, serialize, setChildRecords, setInstance, setOptions, setRecordId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

Constructor Detail

### EscherOptRecord

    public EscherOptRecord()

Method Detail

### getInstance

    public short getInstance()

  Description copied from class: `EscherRecord`
  Returns the instance part of the option record.

  Overrides:
    `getInstance` in class `EscherRecord`
  Returns:
    The instance part of the record

### getOptions

    @Internal
    public short getOptions()

  Automatically recalculate the correct option

  Overrides:
    `getOptions` in class `EscherRecord`
  Returns:
    The options field for this record. All records have one.

### getRecordName

    public java.lang.String getRecordName()

  Description copied from class: `EscherRecord`
  Subclasses should return the short name for this escher record.

  Specified by:
    `getRecordName` in class `EscherRecord`

### getVersion

    public short getVersion()

  Description copied from class: `EscherRecord`
  Returns the version part of the option record.

  Overrides:
    `getVersion` in class `EscherRecord`
  Returns:
    The version part of the option record

### setVersion

    public void setVersion(short value)

  Description copied from class: `EscherRecord`
  Sets the version part of record

  Overrides:
    `setVersion` in class `EscherRecord`
  Parameters:
    `value` - version part value

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.